PUT
/
agents
/
{agentId}
/
env-vars
/
{name}
Create or update an environment variable
curl --request PUT \
  --url https://your_salambo_base_url/api/v1/agents/{agentId}/env-vars/{name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>",
  "isSecret": false,
  "description": "<string>",
  "allowedHosts": [
    "<string>"
  ],
  "exposeTo": [
    "runtime",
    "sandbox"
  ]
}
'
{
  "object": "<string>",
  "name": "<string>",
  "is_secret": true,
  "allowed_hosts": [
    "<string>"
  ],
  "expose_to": [],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "plain_value": "<string>",
  "description": "<string>",
  "created_at": 123,
  "updated_at": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required
name
string
required
Pattern: ^[A-Z][A-Z0-9_]*$

Body

application/json
value
string
required
Minimum string length: 1
isSecret
boolean
default:false
description
string | null
Maximum string length: 500
allowedHosts
string[]
exposeTo
enum<string>[]

Defaults to both exposure targets when omitted. Send the narrowest explicit target set required by the integration.

Minimum array length: 1
Available options:
runtime,
sandbox

Response

Environment-variable metadata

object
string
required
Allowed value: "env_var"
name
string
required
is_secret
boolean
required
allowed_hosts
string[]
required
expose_to
enum<string>[]
required
Available options:
runtime,
sandbox
id
string<uuid>
plain_value
string | null
description
string | null
created_at
integer
updated_at
integer